ACPI_SCAN_DROP_DEVIC(9)

NAME
acpi_scan_drop_device - Drop an ACPI device object.

SYNOPSIS

void acpi_scan_drop_device(acpi_handle handle, void * context);

ARGUMENTS

handle
    Handle of an ACPI namespace node, not used.

context
    Address of the ACPI device object to drop.

DESCRIPTION

This is invoked by acpi_ns_delete_node during the removal of the ACPI namespace node the device object pointed to by context is attached to.

The unregistration is carried out asynchronously to avoid running acpi_device_del under the ACPICA's namespace mutex and the list is used to ensure the correct ordering (the device objects must be unregistered in the same order in which the corresponding namespace nodes are deleted).

COPYRIGHT